Bug 1012805 - [RFE]virt-v2v support conversion of EFI rhel guests
[RFE]virt-v2v support conversion of EFI rhel guests
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-v2v (Show other bugs)
6.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Matthew Booth
Virtualization Bugs
: FutureFeature
Depends On: 965495
Blocks: 1083323
  Show dependency treegraph
 
Reported: 2013-09-27 03:46 EDT by tingting zheng
Modified: 2014-11-18 06:24 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-18 06:24:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
virt-v2v log file (114.46 KB, text/plain)
2013-09-27 03:46 EDT, tingting zheng
no flags Details
vmxf file of EFI rhel guest (6.63 KB, text/plain)
2013-09-27 03:47 EDT, tingting zheng
no flags Details

  None (edit)
Description tingting zheng 2013-09-27 03:46:22 EDT
Created attachment 803802 [details]
virt-v2v log file

Description
[RFE]virt-v2v support conversion of EFI rhel guests 

Version:
libvirt-0.10.2-24.el6.x86_64
virt-v2v-0.9.1-3.el6.x86_64


How reproducible:
100%

Steps to Reproduce:
1.Install a EFI rhel guest on esx server.

2.Use virt-v2v to convert the guest.

# virt-v2v -ic esx://10.66.71.238/?no_verify=1 -os default  EFI-rhel6
EFI-rhel6_EFI-rhel6: 100% [================================================================================================]D 0h03m16s
virt-v2v: No grub configuration found


Actual results:
Conversion failed.

Expected results:
virt-v2v can convert EFI rhel guest on esx server successfully.

Additional info:
Attached virt-v2v debug log and efi guest config file.
Comment 1 tingting zheng 2013-09-27 03:47:11 EDT
Created attachment 803803 [details]
vmxf file of EFI rhel guest
Comment 3 Matthew Booth 2013-10-01 09:09:47 EDT
Here's the problem:

guestfsd: error: feature 'gdisk' is not available in this
build of libguestfs.  Read 'AVAILABILITY' in the guestfs(3) man page for
how to check for the availability of features.
guestfsd: malibguestfs: recv_from_daemon: 216 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 01 89 | 00 00 00 01 | 00 12 34 be | ...
libguestfs: send_to_daemon: 60 bytes: 00 00 00 38 | 20 00 f5 f5 | 00 00 00 04 | 00 00 01 89 | 00 00 00 00 | ...
in_loop: proc 393 (part_get_gpt_type) took 0.00 seconds
guestfsd: main_loop: new request, len 0x38
guestfsd: error: feature 'gdisk' is not available in this
build of libguestfs.  Read 'AVAILABILITY' in the guestfs(3) man page for
how to check for the availability of features.

Unfortunately these apis aren't working correctly in libguestfs. We're looking into what to do about that.
Comment 4 Richard W.M. Jones 2013-10-01 09:26:58 EDT
Set the component back to virt-v2v so we can use this bug
to track verification that the feature works.
Comment 5 Richard W.M. Jones 2013-10-04 13:41:54 EDT
We decided (sensibly IMHO) to push this bug out to 6.6.
Comment 6 Matthew Booth 2014-03-31 06:01:42 EDT
This is still dependent on gdisk making it into RHEL 6.6.
Comment 7 Richard W.M. Jones 2014-11-18 06:24:26 EST
Virt-v2v needs to run on the latest Red Hat Enterprise Linux release
to ensure it can correctly read and modify new guest filesystem
features.  A new version of virt-v2v is now available for RHEL 7.1.

Before RHEL 7.1 is released, follow the instructions here to
install unsupported preview packages on top of RHEL 7.0:
https://www.redhat.com/archives/libguestfs/2014-May/msg00090.html

After RHEL 7.1 is released, virt-v2v will be available in
Technical Preview.

You can run virt-v2v in a single virtual machine.  Other
requirements are covered here:
http://libguestfs.org/virt-v2v.1.html#resource-requirements

If you find a missing feature or bug in the new version of virt-v2v
please file a bug using the following link:
https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%207&component=libguestfs

Note You need to log in before you can comment on or make changes to this bug.